
class forme;
class tableau :public bloc
{
private :
	bloc plat_bloc[160];
	int x_pos_plat,y_pos_plat;
	int w,h;
	char tableau_t[161];

public:
	int Get_x_pos_plat();
	int Get_y_pos_plat();
	int Get_w();
	int Get_h();

public:
	tableau(int X=0,int Y=0,int W=0,int H=0);

	void ajout_bloc(int i,int j,Uint32 c);
	int Get_X_t_Pos();
	int Get_Y_t_Pos();
	void Get_tableau_t(char *c);
	void ajout_bloc(int ,int ,Uint32 ,SDL_Rect *,SDL_Surface *image,SDL_Surface *ecran);
	void ajout_forme(forme ,SDL_Rect *,SDL_Surface *,SDL_Surface * );
};
